Package com.avaya.clientservices.collaboration

## Class LibraryDocument

- java.lang.Object
- - com.avaya.clientservices.collaboration.LibraryDocument

-     public class LibraryDocument
      extends java.lang.Object

  Information about a document stored at a conferencing server library. Not Supported

  The library sharing feature is currently not supported.

  This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LibraryDocument​(java.lang.String id, java.lang.String title, java.lang.String url, java.util.Date creationDate, int pages, int contentWidth, int contentHeight, java.lang.String fileIcon)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getContentHeight()` |
    `int` | `getContentWidth()` |
    `java.util.Date` | `getCreationDate()` |
    `java.util.concurrent.Future<Image>` | `getFileIcon()` |
    `java.lang.String` | `getId()` |
    `int` | `getPageCount()` |
    `java.lang.String` | `getTitle()` |
    `java.lang.String` | `getURL()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LibraryDocument

          public LibraryDocument​(java.lang.String id,
                                 java.lang.String title,
                                 java.lang.String url,
                                 java.util.Date creationDate,
                                 int pages,
                                 int contentWidth,
                                 int contentHeight,
                                 java.lang.String fileIcon)

      Constructor. Called when a document's information is retrieved from the network library.
      Parameters:
        `id` - Document ID.
        `title` - Document title.
        `url` - Document path on the library server.
        `creationDate` - Document creation date.
        `pages` - Number of pages in the document.
        `contentWidth` - Document page width in pixels.
        `contentHeight` - Document page height in pixels.
        `fileIcon` - Location of the icon file on the network library.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Returns:
        ID of the document, as provided by the network library.

    - #### getTitle

          public java.lang.String getTitle()

      Returns:
        Title of the document, as provided by the network library.

    - #### getURL

          public java.lang.String getURL()

      Returns:
        File path of the document on the network library. This is provided for informational purposes.

    - #### getCreationDate

          public java.util.Date getCreationDate()

      Returns:
        File path of the document on the network library.

    - #### getPageCount

          public int getPageCount()

      Returns:
        Number of pages in the document.

    - #### getContentWidth

          public int getContentWidth()

      Returns:
        Width of the document page in pixels.

    - #### getContentHeight

          public int getContentHeight()

      Returns:
        Height of the document page in pixels.

    - #### getFileIcon

          public java.util.concurrent.Future<Image> getFileIcon()

      Returns:
        Location of the icon file on the network library. This is provided for informational purposes.